<?php
namespace Privy;

/**
 * Privy.com Zen Cart Plugin
 * Copyright (C) 2015 Privy.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

if (!defined('IS_ADMIN_FLAG')) {
    die('Illegal Access');
}

const TITLE    = "Privy.com";
const VERSION  = "1.0.0";
const PREFIX   = "PRIVY";
const PAGE_KEY = "configPrivy";

$privyClasses = array(
    'privy_utils.php',
    'privy_orm_model.php',
    'privy_config_group.php',
    'privy_config_item.php',
    'privy_installer.php'
);

foreach ($privyClasses as $class) {
    $autoLoadConfig[1][] = array(
        'autoType'  => 'class',
        'loadFile'  => $class,
        'classPath' => DIR_WS_CLASSES
    );
}

$autoLoadConfig[200][] = array(
    'autoType' => 'init_script',
    'loadFile' => 'init_privy.php'
);
